Counter (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.argument.Counter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.argument
Class Counter

    java.lang.Object
      com.meyling.principia.argument.AbstractArgument
          com.meyling.principia.argument.AbstractArgumentAtom
              com.meyling.principia.argument.Counter

All Implemented Interfaces:
  Argument, CounterMarker

public class Counter
extends AbstractArgumentAtom
implements Argument, CounterMarker

An object of this class represents a non negative integer.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling

Constructor Summary
`Counter(int number)` Constructs a `Number`.

Method Summary
`Argument` | `copy()` Returns an identical object (maybe "this").
`boolean` | `equals(Object object)` Is this object equal to the given one?
`int` | `getNumber()` Get the number.
`String` | `toString()` Get the argument in `String` form.

Methods inherited from class com.meyling.principia.argument.AbstractArgumentAtom
`create, getArgument, getArgumentSize`

Methods inherited from class com.meyling.principia.argument.AbstractArgument
`containsPatternVariables, getHighestNumber, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.meyling.principia.argument.Argument
`containsPatternVariables, create, getArgument, getArgumentSize, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Constructor Detail

### Counter

    public Counter(int number)
            throws ArgumentException

  Constructs a `Number`.

Parameters:
  `number` - non negative integer (0 is ok)
Throws:
  `ArgumentException` - if number < 0

Method Detail

### getNumber

    public final int getNumber()

  Get the number.

  Specified by:
    `getNumber` in interface `CounterMarker`
  Returns:
    number

### equals

    public final boolean equals(Object object)

  Description copied from interface: `Argument`
  Is this object equal to the given one? This is true iff `object` is an instance of `Argument` and both arguments have the same `Argument.getArgumentSize()` and each `Argument.getArgument(int)` `Argument.equals(java.lang.Object)`.

  Specified by:
    `equals` in interface `Argument`
  Specified by:
    `equals` in class `AbstractArgumentAtom`

### copy

    public final Argument copy()

  Description copied from interface: `Argument`
  Returns an identical object (maybe "this").

  Specified by:
    `copy` in interface `Argument`
  Specified by:
    `copy` in class `AbstractArgumentAtom`

### toString

    public final String toString()

  Description copied from interface: `Argument`
  Get the argument in `String` form.

  Specified by:
    `toString` in interface `Argument`
  Specified by:
    `toString` in class `AbstractArgumentAtom`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.